# std::istrstream::rdbuf

From cppreference.com
< cpp‎ | io‎ | istrstream

strstreambuf* rdbuf() const; |  |

Returns a pointer to the associated std::strstreambuf, casting away its constness (despite the const qualifier on the member function)

### Parameters

(none)

### Return value

Pointer to the associated std::strsteambuf, with constness cast away.

### Example

Run this code

    #include <strstream>
    int main()
    {
        const std::istrstream buf("example");
        std::strstreambuf* ptr = buf.rdbuf();
    }

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/io/istrstream/rdbuf&oldid=63938"